libzypp 17.38.15

XmlString.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/parser/xml/libxmlfwd.h>`
`#include <zypp-core/parser/xml/XmlEscape.h>`

Go to the source code of this file.

## Classes
class | zypp::xml::XmlString
| xmlChar * wrapper. More...
struct | zypp::xml::XmlString::Deleter
| shared_ptr custom deleter calling `xmlFree`. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::xml

## Functions
std::ostream & | zypp::xml::operator<< (std::ostream &str, const XmlString &obj) ZYPP_API
| relates: XmlString Stream output.